unit ufrmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls
  , uHouse
  ;

type
  TfrmMain = class(TForm)
    cmdClose: TButton;
    cmdDraw: TButton;
    Image1: TImage;
    cmdPaint: TButton;
    ColorDialog1: TColorDialog;
    cmdDoubleGlazing: TButton;
    procedure cmdCloseClick(Sender: TObject);
    procedure cmdDrawClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure cmdPaintClick(Sender: TObject);
    procedure cmdDoubleGlazingClick(Sender: TObject);
  private
    { Private declarations }
    FHouse: THouse;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  uDrawVisitor
  , uPainter
  , uSalesman
  ;

{$R *.DFM}

procedure TfrmMain.cmdCloseClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmMain.cmdDrawClick(Sender: TObject);
begin
  uDrawVisitor.DrawHouse(FHouse, Image1.Canvas);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  if not Assigned(FHouse) then
    FHouse := THouse.Create;
  FHouse.Top := 25;
  FHouse.Left := 25;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  FHouse.Free;
end;

procedure TfrmMain.cmdPaintClick(Sender: TObject);
begin
  if ColorDialog1.Execute then
  begin
    uPainter.PaintHouse(FHouse, ColorDialog1.Color);
    uDrawVisitor.DrawHouse(FHouse, Image1.Canvas);
  end;
end;

procedure TfrmMain.cmdDoubleGlazingClick(Sender: TObject);
begin
  uSalesman.SellToHouse(FHouse);
  uDrawVisitor.DrawHouse(FHouse, Image1.Canvas);
end;

end.
